org.eclipse.emf.compare.conflict

## Interface IConflictDetector

All Known Implementing Classes:
  DefaultConflictDetector, MatchBasedConflictDetector

    public interface IConflictDetector

This class defines the general contract of a Conflict detector. We expect subclasses to have a public, no-argument default constructor for instantiation.

This will be called by EMF Compare after the differencing engine. We generally expect that a call to `#detect(Comparison)` will complete the given comparison with all conflicts it can detect between all differences of this `Comparison` instance.

Clients can also subclass the `default implementation`.

See Also:
  `DefaultConflictDetector`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `detect(Comparison comparison, Monitor monitor)` This is the entry point of the conflict detection process.

### Method Detail

#### detect

    void detect(Comparison comparison,
                Monitor monitor)

This is the entry point of the conflict detection process.

It is expected to complete the input `comparison` by iterating over the `differences` it contain, filling in all conflicts it can detect between those Diffs.

Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `monitor` - The monitor to report progress or to check for cancellation